/* eslint-disable no-undef */
/* eslint-disable no-unused-vars */

const warningTitleCSS = `color:red; font-size:60px; font-weight: bold; -webkit-text-stroke: 1px black;`;
const warningDescCSS = `font-size: 18px;`;

for (let index = 0; index < 3; index++)
{
    console.log(`%cStop!`, warningTitleCSS);
    console.log(`%cThis is a browser feature intended for developers.`, warningDescCSS);
    console.log(`%cIf someone told you to copy and paste something here to enable a feature or "hack" someone's account, it is a scam and will give them access to your account.`, warningDescCSS);
    console.log(`%cUnless you understand exactly what you are doing, close this window and stay safe.`, warningDescCSS);
    console.log(`%cSee https://en.wikipedia.org/wiki/Self-XSS for more information.`, warningDescCSS);
    console.log(`%c  `, warningTitleCSS);
}

// User has JS enabled, so let's show them the page.
document.querySelector(`#main`).style.display = `block`;

// onclick of logout-link ID, execute logout();
if (document.querySelector(`#logout-link`))
    document.querySelector(`#logout-link`).addEventListener(`click`, logout);

/**
 * @name logout
 * @description Logs the user out
 */
async function logout()
{
    const xhr = new XMLHttpRequest();
    xhr.open(`POST`, `/logout`, true);
    xhr.setRequestHeader(`Content-Type`, `application/json`);
    xhr.send(JSON.stringify({
        logout: true,
    }));
    window.location.reload();
}
